
# some variables

# -----------------------------------------------------------
# default task should display options
.PHONY: default
defaul:
	@echo "Using: make tarball|rpm|deb"


# -----------------------------------------------------------
# this task will create tar.gz distribution
.PHONY: tarball
tarball:
	cd tarball && make

# -----------------------------------------------------------
# this task should compile utt (if nesessery) and create rpm version
.PHONY: rpm
rpm:
	@#we build rpm (see spec/README for details)
	cd spec && make

# -----------------------------------------------------------
# this task should compile utt (if nesessery) and create deb version
.PHONY: deb
deb:
	@#we build deb (see deb/README for details)
	cd deb && make

# -----------------------------------------------------------
# this task should remove compiled files and directories
.PHONY: clean
clean:
	# finally the line below should be uncomment
	#rm -fr ${UTT_DIST_TMP}

